For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList guests
      • POSTCreate a guest
      • GETGet a guest
      • DELDelete a guest
      • PATCHUpdate a guest
      • GETGet guest token
      • GETList Guest Roles
      • POSTAssign Role to Guest
      • DELRemove Role from Guest
      • POSTInvite guests
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceGuests

Update a guest

PATCH
https://api.x.flatfile.com/v1/guests/:guestId
PATCH
/v1/guests/:guestId
$curl -X PATCH https://api.x.flatfile.com/v1/guests/us_g_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "email": "updated@example.com",
> "name": "Your Name Updated"
>}'
200Example0
1{
2 "data": {
3 "createdAt": "2023-10-30T16:59:45.735Z",
4 "email": "email@example.com",
5 "environmentId": "us_env_YOUR_ID",
6 "id": "us_g_YOUR_ID",
7 "name": "Your Name",
8 "spaces": [
9 {
10 "id": "us_sp_YOUR_ID",
11 "workbooks": [
12 {
13 "id": "us_wb_YOUR_ID"
14 }
15 ],
16 "sheets": [
17 {
18 "id": "us_sh_YOUR_ID"
19 }
20 ],
21 "lastAccessed": "2023-10-30T16:59:45.735Z"
22 }
23 ],
24 "updatedAt": "2023-10-30T16:59:45.735Z"
25 }
26}
Updates a single guest, for example to change name or email
Was this page helpful?
Previous

Get guest token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

guestIdstringRequired
ID of guest to return

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects an object.
environmentIdstringOptional
Environment ID
emailstringOptional
namestringOptional
spaceslist of objectsOptional

Response

This endpoint returns an object.
dataobject